<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}
$tyrenum_veh='';$client_main='';
$cclient_name='';$rproduct_client_code='';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();

$rproduct_name='';$rproduct_category='';
	

$tablename='cf_payroll_user_leave_requests';
         
		 $pdate=date("Y-m-d");
			
			
			if(isset($_POST['empid'])){
			$empid=addslashes($_POST['empid']);
			}	
			
			if(isset($_POST['leavefrom'])){
			$leavefrom=date(('Y-m-d'),strtotime($_POST['leavefrom']));
			}
			
			if(isset($_POST['leaveto'])){
			$leaveto=date(('Y-m-d'),strtotime($_POST['leaveto']));
			}	
			
			if(isset($_POST['leavetypeid'])){
			$leavetypeid=addslashes($_POST['leavetypeid']);
			}
			
			if(isset($_POST['reason'])){
			$reason=addslashes($_POST['reason']);
			}	
			
			if(isset($_POST['levdaytype'])){
			$levdaytype=addslashes($_POST['levdaytype']);
			}	
			
			
			if(isset($_POST['save'])){	
			
			if(isset($_POST['emp_driver'])){
			$emp_driver=addslashes($_POST['emp_driver']);
			}
			
			if($emp_driver == 'driver')
			{
				$emp_type = '1';
				$empid=addslashes($_POST['driver_id']);
			}else
			{
				$emp_type = '0';
				$empid=addslashes($_POST['empid']);
			}
			
			$sqlObj->tablename=$tablename;
						
			$diff = abs(strtotime($leavefrom) - strtotime($leaveto));
			
			$years = floor($diff / (365*60*60*24));
			$months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
			$days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
			
			$dt = explode("-",$leavefrom);
			$getdt = $dt['2'];
			
			for($i=0;$i<=$days;$i++)
			{
				$dayupdate = $getdt+$i;
				$dates = $dt[0].'-'.$dt[1].'-'.$dayupdate;
				
				$weekDay = date('w', strtotime($dates));
				
				if($weekDay != 0)
				{
					$sqlObj->fieldname='(employee_id,type_emp,leave_id,no_of_days,day_from,day_to,reason,half_full_day)';
					$sqlObj->fieldvalue='"'.$empid.'","'.$emp_type.'","'.$leavetypeid.'","1","'.$dates.'","'.$dates.'","'.$reason.'","'.$levdaytype.'"';
					
					$sqlemp = mysql_query("select * from cf_payroll_user_leave_requests where day_from = '$dates' and type_emp = '$emp_type' and employee_id = '$empid'"); 
					
					if(mysql_num_rows($sqlemp) == 0)
					{
						$qsy= "insert into ".$tablename.$sqlObj->fieldname." values(".$sqlObj->fieldvalue.")";
						$CreateClient 	= mysql_query($qsy);
					}
				}
					
			}
    		header("location:approve-leaves.php?msg=You Have Successfully Saved");
			
		}


?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type="text/javascript" src="scripts_date/jquery.js"></script>
<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script src="js/addmoretown.js"></script>




<script type="text/javascript">

$(document).ready(function(){
$('#leavefrom').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});

$('#leaveto').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});

});

<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->


</script>

	<script type='text/javascript'>
	
function validationprod()
{

	if(document.prodfrmname.clientname.value=='')
	{
		alert("Enter Client Name");
		document.prodfrmname.clientname.focus();
		return false;
	}
	if(document.prodfrmname.productname.value=='')
	{
		alert("Enter Product Name");
		document.prodfrmname.productname.focus();
		return false;
	}
}
//--client code dropdown

function change_dropdown(val){
	
   if (val == "driver") {
    document.getElementById('emplyeediv').style.display = 'none';
            document.getElementById('driverdiv').style.display = 'block';
          
        } 
        else if (val == "employee") {
		  document.getElementById('emplyeediv').style.display = 'block';
			 document.getElementById('driverdiv').style.display = 'none';
        }   
		
		
}
</script>
<style>
.lableentrytext{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
}
.addimgs{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.addimgs a:hover{
color: #000;
}
.rimg{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.rimg a:hover{
color: #000;
}

</style>
</head>

<body>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Apply Leave</h1>
   <form name="prodfrmname" method="post" action="">
   
     
    <div class="addEmp" style="margin-bottom:0px; border-bottom:0px solid;width:1000px;">
        <table width="70%" border="0" cellspacing="0" cellpadding="10">
          <tr>
            <td width="51%" valign="top">
      <?php /*?><div class="form1">
        <p class="input1">Employee</p>
		<?php $sqlemp = mysql_query("select * from cf_employee where user_type != 'Superadmin' and status = 1 order by e_fname asc");  ?>
                               <select name="empid" id="empid" class="input1 input3" onChange="get_time()" >  
                               <option value="">-Select-</option>
                               <?php while($rw = mysql_fetch_array($sqlemp)){ ?>                            
                               <option value="<?=$rw['e_id']?>"><?=$rw['e_fname']?></option>
                               <?php } ?>
                               </select>
     </div><?php */?>
	 
	 <div class="form1">
      <br/><br/>	
       <input type="radio" name="emp_driver" value="driver" checked onChange="change_dropdown('driver')">
			 Driver
				<input type="radio" name="emp_driver" value="employee"   onChange="change_dropdown('employee')">
				Employee
			
     </div>
	 
	 <div class="form1">
     <br/>
    
	  <div id="emplyeediv" style="display:none ;"> 
	  
        <p class="input1">Employee Name<span style="color:#FF3300">*</span></p>
        
        <?php $sqlemp = mysql_query("select * from cf_employee where user_type != 'Superadmin' and status = 1 order by e_fname asc");  ?>
                               <select name="empid" id="empid" class="input1 input3" onChange="get_time()" >  
                               <option value="">-Select-</option>
                               <?php while($rw = mysql_fetch_array($sqlemp)){ ?>                            
                               <option value="<?=$rw['e_id']?>" ><?=$rw['e_fname']?></option>
                               <?php } ?>
                               </select>
							   
						 
                               </div>
                             
      <div id="driverdiv" >
	   <?php 
	 	//if($emptype == '1'){
	   ?>
        <p class="input1">Driver Name<span style="color:#FF3300">*</span></p>
        
        <?php $sqlemp = mysql_query("select * from cf_driver order by drivername asc ");  ?>
                               <select name="driver_id" id="driver_id" class="input1 input3" onChange="get_time()" >  
                               <option value="">-Select-</option>
                               <?php while($rw = mysql_fetch_array($sqlemp)){ ?>                            
                               <option value="<?=$rw['driver_id']?>" ><?=$rw['drivername']?></option>
                               <?php } ?>
                               </select>
	  <?php //} ?>						   
                               </div>
     </div>
     
     <div class="form1">
        <p class="input1">Leave From</p>
        <input type="text" name="leavefrom" id="leavefrom" class="input1 input3" value="" >
     </div>
     
     <div class="form1">
        <p class="input1">Leave To</p>
        <input type="text" name="leaveto" id="leaveto" class="input1 input3" value="" >
     </div>
     
        </td>
            <td width="49%" valign="top">
            <div>     
      			<p class="input1">Leave Type</p>
      					<?php $sqleave = mysql_query("select * from cf_payroll_leave ");  ?>
                               <select name="leavetypeid" id="leavetypeid" class="input1 input3" onChange="get_time()" >  
                               <option value="">-Select-</option>
                               <?php while($rwlv = mysql_fetch_array($sqleave)){ ?>                            
                               <option value="<?=$rwlv['lid']?>"><?=$rwlv['title']?></option>
                               <?php } ?>
                               </select>
     	   </div>      
           
           <div>     
      			<p class="input1">Reason</p>
      			<textarea name="reason" class="input1"></textarea>
     	   </div>
           
           <div class="searchField">
     <p class="input1">Day</p>
     <div class="box">
     
     <div><input name="levdaytype" type="radio" value="1" ><label>Half Day</label></div>
     <div><input name="levdaytype" type="radio" value="2" ><label>Full Day</label></div>
    </div>
    </div>        
            
            </td>
          </tr>
        </table>
	
	<table width="70%" border="0" cellspacing="0" cellpadding="10">
       <tr>
         <td colspan="2"><div class="searchField1">
        <?php
	 	if(isset($_REQUEST['brchid'])){
		$rbrchid = $_REQUEST['brchid'];
	  ?><input name="brchid" type="hidden" value="<?=$rbrchid?>">  
	 
      <input name="save" type="submit" class="input1" value="Edit" onClick="return validationprod();"/>
      <?php }else { ?>   
     <input name="save" type="submit" class="input1" value="Save" onClick="return validationprod();"/>
	  
     <?php } ?>

         <input type="button" class="input1" value="Cancel" >
        </div>
        </td>
          </tr>
        </table>
       

<div class="mand"><p>Fields marked <span style="color:#FF3300">*</span> are Mandatory</p></div>
</div>
   </form>
   </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
  <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>


		






